import { Component, OnInit } from '@angular/core';
import { showAlert } from 'src/app/const/alert';
import {SinglePost} from "../../models/post";
import {ApiChatService} from "../../services/api-chat.service";


@Component({
  selector: 'app-BoardThreads',
  templateUrl: './threads.component.html',
  styleUrls: ['./threads.component.css']
})
export class ThreadsComponent implements OnInit {

  boardName:string = 'b'
  command: string = "";
  response: any;
  opsToShow: SinglePost[][]
  showGuide: boolean = false;

  constructor(public apiChatService: ApiChatService) {
  }

  refreshOPs(boardName: string) {
    this.apiChatService.getThreads(boardName).subscribe(response => {
      this.opsToShow = response;
      console.log(response);
    })
  }

  createThread(tosend: any){
    this.apiChatService.sendThreadToApi(tosend.text, tosend.images, this.boardName)
  }

  ngOnInit(): void {
    this.apiChatService.getThreads(this.boardName).subscribe(response => {
      this.opsToShow = response
    })
  }
}


